%define qtdir		%_libdir/qt2
%define KDEDATE		20001018
%define sourcedir	stable/%{version}/distribution/tar/generic/source

Name:		kde-i18n
Icon:		kde-icon.xpm
URL:		http://www.kde.org/
Summary:	Internationalization support for KDE
Version:	2.0
Release: 1mdk

#Source:		ftp://ftp.kde.org/pub/kde/{sourcedir}/kde-i18n-%{KDEDATE}-src.tar.bz2
Source:		ftp://ftp.kde.org/pub/kde/{sourcedir}/kde-i18n-2.0.tar.bz2
#Patch0: kde-i18n-20001006-fix-maincharset.patch.bz2
#Patch1: kde-i18n-20001006-fix-donotfollow-maincharset.patch.bz2

Group:		Graphical desktop/KDE
Copyright:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	kdesupport, kdelibs, kdebase

%description
Internationalization support for KDE

%package Afrikaans
Summary:	Afri0mdkDutch (Afrikaans) support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-af

%description Afrikaans
African Dutch (Afrikaans) support for KDE

%package Bulgarian
Summary:	Bulgarian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-bg

%description Bulgarian
Bulgarian language support for KDE

%package Breton
Summary:	Breton language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-br

%description Breton
Breton language support for KDE

%package Catalan
Summary:	Catalan language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-ca

%description Catalan
Catalan language support for KDE

%package Welsh
Summary:	Welsh language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-cy

%description Welsh
Welsh language support for KDE

%package Czech
Summary:	Czech language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-cs

%description Czech
Czech language support for KDE

%package Danish
Summary:	Danish language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-da

%description Danish
Danish language support for KDE

%package German
Summary:	German language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-de

%description German
German language support for KDE

%package Greek
Summary:	Greek language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-el

%description Greek
Greek language support for KDE

%package Galacian
Summary:	Galacian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-gl

%description Galacian
Galacian language support for KDE

%package British
Summary:	Brisish English support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-en

%description British
British English language support for KDE

%package Esperanto
Summary:	Esperanto support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-eo

%description Esperanto
Esperanto support for KDE

%package Spanish
Summary:	Spanish language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-es

%description Spanish
Spanish language support for KDE

%package Estonian
Summary:	Estonian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-et

%description Estonian
Estonian language support for KDE

%package Basque
Summary:	Basque language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-eu

%description Basque
Basque language support for KDE

%package Finnish
Summary:	Finnish language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-fi

%description Finnish
Finnish language support for KDE

%package French
Summary:	French language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-fr

%description French
French language support for KDE

%package Hebrew
Summary:	Hebrew language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-he

%description Hebrew
Hebrew language support for KDE

%package Croatian
Summary:	Croatian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-hr

%description Croatian
Croatian language support for KDE

%package Hungarian
Summary:	Hungarian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-hu

%description Hungarian
Hungarian language support for KDE

%package Icelandic
Summary:	Icelandic language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-is

%description Icelandic
Icelandic language support for KDE

%package Italian
Summary:	Italian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-it

%description Italian
Italian language support for KDE

%package Japanese
Summary:	Japanese language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-ja

%description Japanese
Japanese language support for KDE

%package Korean
Summary:	Korean language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-ko

%description Korean
Korean language support for KDE

%package Lithuanian
Summary:	Lithuanian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-lt

%description Lithuanian
Lithuanian language support for KDE

%package Maori
Summary:	Maori language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-mi

%description Maori
Maori language support for KDE

%package Macedonian
Summary:	Macedonian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-mk

%description Macedonian
Macedonian language support for KDE

%package Dutch
Summary:	Dutch language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-nl

%description Dutch
Dutch language support for KDE

%package Norwegian
Summary:	Norwegian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-no

%description Norwegian
Norwegian language support for KDE

%package Norwegian-Nynorsk
Summary:	Norwegian (Nynorsk) language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-no

%description Norwegian-Nynorsk
Norwegian (Nynorsk) language support for KDE

%package Polish
Summary:	Polish language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-pl

%description Polish
Polish language support for KDE

%package Portuguese
Summary:	Portuguese language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-pt

%description Portuguese
Portuguese language support for KDE

%package Brazil
Summary:	Brazil Portuguese language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-pt

%description Brazil
Brazil Portuguese language support for KDE

%package Romanian
Summary:	Romanian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-ro

%description Romanian
Romanian language support for KDE

%package Russian
Summary:	Russian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-ru

%description Russian
Russian language support for KDE

%package Slovak
Summary:	Slovak language support for KDE
Requires:	locales-sk
Group:		Graphical desktop/KDE

%description Slovak
Slovak language support for KDE

%package Slovenian
Summary:	Slovenian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-sl

%description Slovenian
Slovenian language support for KDE

%package Serbian
Summary:	Serbian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-sr

%description Serbian
Serbian language support for KDE

%package Swedish
Summary:	 Swedish language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-sv

%description Swedish
Swedish language support for KDE

%package Tamil
Summary:	Tamil language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-ta

%description Tamil
Tamil language support for KDE

%package Thai
Summary:	Thai language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-th

%description Thai
Thai language support for KDE

%package Turkish
Summary:	Turkish language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-tr

%description Turkish
Turkish language support for KDE

%package Ukrainian
Summary:	Ukrainian language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-uk

%description Ukrainian
Ukrainian language support for KDE

%package Walloon
Summary:	Walloon language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-wa

%description Walloon
Walloon language support for KDE

%package Chinese
Summary:	Chinese (Simplified Chinese) language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-zh

%description Chinese
Chinese (Simplified Chinese) language support for KDE

%package Chinese-Big5
Summary:	Chinese (Big5) language support for KDE
Group:		Graphical desktop/KDE
Requires:	locales-zh

%description Chinese-Big5
Chinese (Big5) language support for KDE

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -nkde-i18n
#%patch0 -p1
#%patch1 -p1

make -f Makefile.cvs

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
%configure

%make

%install
# Important note: You will get an error at this point. The 
# translations are under construction and there is an error in
# the cs translations and the tr translations. 
# go back to the build dir and do a "make -k" then
# do a "make -k DESTDIR=/home/directory/rpm/tmp/kde-i18n-1.99-buildroot"
# followed by a rpm --short-circuit -ba kde-i18n-2.0.spec" There is no
# way to fix this with the code in the current ever changing state. Best
# I can do is give instructions on how to build


%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT

%files Afrikaans
%defattr(-,root,root)
%{_datadir}/locale/af/*

%files Bulgarian
%defattr(-,root,root)
%{_datadir}/locale/bg/*

%files Breton
%defattr(-,root,root)
%{_datadir}/locale/br/*

%files Catalan
%defattr(-,root,root)
%{_datadir}/locale/ca/*

%files Czech
%defattr(-,root,root)
%{_datadir}/locale/cs/*
%doc %_docdir/HTML/cs/*

%files Danish
%defattr(-,root,root)
%{_datadir}/locale/da/*
%doc %_docdir/HTML/da/*

%files German
%defattr(-,root,root)
%{_datadir}/locale/de/*
%doc %_docdir/HTML/de/*

%files Greek
%defattr(-,root,root)
%{_datadir}/locale/el/*
%doc %_docdir/HTML/el/*

%files Galacian
%defattr(-,root,root)
%{_datadir}/locale/gl/*
#%doc %_docdir/HTML/gl/*

%files Welsh
%defattr(-,root,root)
%{_datadir}/locale/cy/*
#%doc %_docdir/HTML/cy/*

%files British
%defattr(-,root,root)
%{_datadir}/locale/en_GB/*

%files Esperanto
%defattr(-,root,root)
%{_datadir}/locale/eo/*

%files Spanish
%defattr(-,root,root)
%{_datadir}/locale/es/*
%doc %_docdir/HTML/es/*

%files Estonian
%defattr(-,root,root)
%{_datadir}/locale/et/*
%doc %_docdir/HTML/et/*

%files Basque
%defattr(-,root,root)
%{_datadir}/locale/eu/*

%files Finnish
%defattr(-,root,root)
%{_datadir}/locale/fi/*
%doc %_docdir/HTML/fi/*

%files French
%defattr(-,root,root)
%{_datadir}/locale/fr/*
%doc %_docdir/HTML/fr/*
%{_datadir}/apps/amor/*
%{_datadir}/apps/ktuberling/sounds/fr/*

%files Hebrew
%defattr(-,root,root)
%{_datadir}/locale/he/*

%files Croatian
%defattr(-,root,root)
%{_datadir}/locale/hr/*

%files Hungarian
%defattr(-,root,root)
%{_datadir}/locale/hu/*
%doc %_docdir/HTML/hu/*

%files Icelandic
%defattr(-,root,root)
%{_datadir}/locale/is/*

%files Italian
%defattr(-,root,root)
%{_datadir}/locale/it/*
%doc %_docdir/HTML/it/*

%files Japanese
%defattr(-,root,root)
%{_datadir}/locale/ja/*
%doc %_docdir/HTML/ja/*

%files Korean
%defattr(-,root,root)
%{_datadir}/locale/ko/*

%files Lithuanian
%defattr(-,root,root)
%{_datadir}/locale/lt/*

%files Maori
%defattr(-,root,root)
%{_datadir}/locale/mi/*

%files Macedonian
%defattr(-,root,root)
%{_datadir}/locale/mk/*

%files Dutch
%defattr(-,root,root)
%{_datadir}/locale/nl/*
%doc %_docdir/HTML/nl/*

%files Norwegian
%defattr(-,root,root)
%{_datadir}/locale/no/*
%doc %_docdir/HTML/no/*

%files Norwegian-Nynorsk
%defattr(-,root,root)
%{_datadir}/locale/no_NY/*

%files Polish
%defattr(-,root,root)
%{_datadir}/locale/pl/*
%doc %_docdir/HTML/pl/*

%files Portuguese
%defattr(-,root,root)
%{_datadir}/locale/pt/*
%doc %_docdir/HTML/pt/*

%files Brazil
%defattr(-,root,root)
%{_datadir}/locale/pt_BR/*
%doc %_docdir/HTML/pt_BR/*

%files Romanian
%defattr(-,root,root)
%{_datadir}/locale/ro/*
%doc %_docdir/HTML/ro/*

%files Russian
%defattr(-,root,root)
%{_datadir}/locale/ru/*
%doc %_docdir/HTML/ru/*

%files Slovak
%defattr(-,root,root)
%{_datadir}/locale/sk/*
%doc %_docdir/HTML/sk/*

%files Slovenian
%defattr(-,root,root)
%{_datadir}/locale/sl/*
%doc %_docdir/HTML/sl/*

%files Serbian
%defattr(-,root,root)
%{_datadir}/locale/sr/*
%doc %_docdir/HTML/sr/*

%files Swedish
%defattr(-,root,root)
%{_datadir}/locale/sv/*
%doc %_docdir/HTML/sv/*

%files Tamil
%defattr(-,root,root)
%{_datadir}/locale/ta/*

%files Thai
%defattr(-,root,root)
%{_datadir}/locale/th/*

%files Turkish
%defattr(-,root,root)
%{_datadir}/locale/tr/*

%files Ukrainian
%defattr(-,root,root)
%{_datadir}/locale/uk/*

%files Walloon
%defattr(-,root,root)
%{_datadir}/locale/wa/*

%files Chinese
%defattr(-,root,root)
%{_datadir}/locale/zh_CN.GB2312/*
%doc %_docdir/HTML/zh_CN.GB2312/*

%files Chinese-Big5
%defattr(-,root,root)
%{_datadir}/locale/zh_TW.Big5/*
%doc %_docdir/HTML/zh_TW.Big5/*

%changelog
* Wed Oct 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated code to KDE 2.0 Release
- removed patch p0 as these files already exist.
- removed patch p1 as it no longer applies - cvs code changes

* Sat Oct  7 2000 Pixel <pixel@mandrakesoft.com> 1.99-4mdk
- fix defattr for Chinese-Big5

* Sat Oct  7 2000 Pixel <pixel@mandrakesoft.com> 1.99-3mdk
- fix charset encoding

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Updated code for new translations and updates not source so no risk.

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code to KDE 2.0 Release Candidate 1 version

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated code

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Updated code

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 1.94-4mdk
- Don't use BuildArch: noarch

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 1.94-3mdk
- BuildArch: noarch
- Fix dependencies for Brazil, British & Norwegian-Nynorsk

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated code

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code

* Sun Sep 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code
- Added locals requires
- Added Galacian traslations
- Added Welsh language support

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-2mdk
- Updated code

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code
- Enabled Dutch translations  - they compile now :-)

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code
- Fixed groups

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code 
- Changed package name
- moved to /usr directory

* Tue Jul 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.200007081mdk
- fixed uid/group problem

* Sun Jul 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot
- Fixed some spec file problems

* Wed May 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000531mdk
- Updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Udated code snapshot

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Updated code for more recent snapshot
- Compiled for Mandrake and updated spec file

* Wed May 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.90

